aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChris Titus <[email protected]>2021-10-25 00:29:55 -0500
committerGitHub <[email protected]>2021-10-25 00:29:55 -0500
commit4b6ad793e537726d99590ad93ff9f763fc4ea475 (patch)
tree8785a91f8499c6b137640be49a5c2b0423ebd5b8
parentbf7332e38d6f7f0ac249c39c45300dc657d6c07c (diff)
parent3623487781cb98ed98993c00499079f6a5378239 (diff)
downloadArchTitus-4b6ad793e537726d99590ad93ff9f763fc4ea475.tar.xz
ArchTitus-4b6ad793e537726d99590ad93ff9f763fc4ea475.zip
Merge pull request #26 from ChrisTitusTech/test
Bug Fixes ArchTitus 1.1 Release
-rwxr-xr-x0-preinstall.sh31
-rwxr-xr-x1-setup.sh70
-rwxr-xr-x3-post-setup.sh3
3 files changed, 42 insertions, 62 deletions
diff --git a/0-preinstall.sh b/0-preinstall.sh
index 0ac575e..18ba58c 100755
--- a/0-preinstall.sh
+++ b/0-preinstall.sh
@@ -7,7 +7,7 @@
# ██║ ██║██║ ██║╚██████╗██║ ██║ ██║ ██║ ██║ ╚██████╔╝███████║
# ╚═╝ ╚═╝╚═╝ ╚═╝ ╚═════╝╚═╝ ╚═╝ ╚═╝ ╚═╝ ╚═╝ ╚═════╝ ╚══════╝
#-------------------------------------------------------------------------
-
+SCRIPT_DIR="$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"
echo "-------------------------------------------------"
echo "Setting up mirrors for optimal download "
echo "-------------------------------------------------"
@@ -26,6 +26,9 @@ echo -e " ██╔══██║██╔══██╗██║ ██�
echo -e " ██║ ██║██║ ██║╚██████╗██║ ██║ ██║ ██║ ██║ ╚██████╔╝███████║"
echo -e " ╚═╝ ╚═╝╚═╝ ╚═╝ ╚═════╝╚═╝ ╚═╝ ╚═╝ ╚═╝ ╚═╝ ╚═════╝ ╚══════╝"
echo -e "-------------------------------------------------------------------------"
+echo -e "-Setting up $iso mirrors for faster downloads"
+echo -e "-------------------------------------------------------------------------"
+
reflector -a 48 -c $iso -f 5 -l 20 --sort rate --save /etc/pacman.d/mirrorlist
mkdir /mnt
@@ -80,6 +83,12 @@ ls /mnt | xargs btrfs subvolume delete
btrfs subvolume create /mnt/@
umount /mnt
;;
+*)
+echo "Rebooting in 3 Seconds ..." && sleep 1
+echo "Rebooting in 2 Seconds ..." && sleep 1
+echo "Rebooting in 1 Second ..." && sleep 1
+reboot now
+;;
esac
# mount target
@@ -88,6 +97,14 @@ mkdir /mnt/boot
mkdir /mnt/boot/efi
mount -t vfat -L UEFISYS /mnt/boot/
+if ! grep -qs '/mnt' /proc/mounts; then
+ echo "Drive is not mounted can not continue"
+ echo "Rebooting in 3 Seconds ..." && sleep 1
+ echo "Rebooting in 2 Seconds ..." && sleep 1
+ echo "Rebooting in 1 Second ..." && sleep 1
+ reboot now
+fi
+
echo "--------------------------------------"
echo "-- Arch Install on Main Drive --"
echo "--------------------------------------"
@@ -105,8 +122,18 @@ linux /vmlinuz-linux
initrd /initramfs-linux.img
options root=LABEL=ROOT rw rootflags=subvol=@
EOF
-cp -R ~/ArchTitus /mnt/root/
+cp -R ${SCRIPT_DIR} /mnt/root/ArchTitus
cp /etc/pacman.d/mirrorlist /mnt/etc/pacman.d/mirrorlist
echo "--------------------------------------"
+echo "-- Check for low memory systems <8G --"
+echo "--------------------------------------"
+TOTALMEM=$(cat /proc/meminfo | grep -i 'memtotal' | grep -o '[[:digit:]]*')
+if [[ $TOTALMEM -lt 8000000 ]]; then
+ dd if=/dev/zero of=/swapfile bs=1M count=2048 status=progress
+ chmod 600 /swapfile
+ mkswap /swapfile
+ swapon /swapfile
+fi
+echo "--------------------------------------"
echo "-- SYSTEM READY FOR 0-setup --"
echo "--------------------------------------"
diff --git a/1-setup.sh b/1-setup.sh
index 88e866d..4a1c2a6 100755
--- a/1-setup.sh
+++ b/1-setup.sh
@@ -53,6 +53,15 @@ pacman -Sy --noconfirm
echo -e "\nInstalling Base System\n"
PKGS=(
+'mesa' # Essential Xorg First
+'xorg'
+'xorg-server'
+'xorg-apps'
+'xorg-drivers'
+'xorg-xkill'
+'xorg-xinit'
+'xterm'
+'plasma-desktop' # KDE Load second
'alsa-plugins' # audio plugins
'alsa-utils' # audio utils
'ark' # compression
@@ -76,15 +85,10 @@ PKGS=(
'code' # Visual Studio code
'cronie'
'cups'
-'dhcpcd'
'dialog'
'discover'
-'dmidecode'
-'dnsmasq'
'dolphin'
'dosfstools'
-'drkonqi'
-'edk2-ovmf'
'efibootmgr' # EFI boot
'egl-wayland'
'exfat-utils'
@@ -98,7 +102,6 @@ PKGS=(
'git'
'gparted' # partition management
'gptfdisk'
-'groff'
'grub'
'grub-customizer'
'gst-libav'
@@ -108,45 +111,12 @@ PKGS=(
'htop'
'iptables-nft'
'jdk-openjdk' # Java 17
-'kactivitymanagerd'
'kate'
'kvantum-qt5'
-'kcalc'
-'kcharselect'
-'kcron'
-'kde-cli-tools'
'kde-gtk-config'
-'kdecoration'
-'kdenetwork-filesharing'
-'kdeplasma-addons'
-'kdesdk-thumbnailers'
-'kdialog'
-'keychain'
-'kfind'
-'kgamma5'
-'kgpg'
-'khotkeys'
-'kinfocenter'
'kitty'
-'kmenuedit'
-'kmix'
'konsole'
-'kscreen'
-'kscreenlocker'
-'ksshaskpass'
-'ksystemlog'
-'ksystemstats'
-'kwallet-pam'
-'kwalletmanager'
-'kwayland-integration'
-'kwayland-server'
-'kwin'
-'kwrite'
-'kwrited'
'layer-shell-qt'
-'libguestfs'
-'libkscreen'
-'libksysguard'
'libnewt'
'libtool'
'linux'
@@ -172,21 +142,6 @@ PKGS=(
'patch'
'picom'
'pkgconf'
-'plasma-browser-integration'
-'plasma-desktop'
-'plasma-disks'
-'plasma-firewall'
-'plasma-integration'
-'plasma-nm'
-'plasma-pa'
-'plasma-sdk'
-'plasma-systemmonitor'
-'plasma-thunderbolt'
-'plasma-vault'
-'plasma-workspace'
-'plasma-workspace-wallpapers'
-'polkit-kde-agent'
-'powerdevil'
'powerline-fonts'
'print-manager'
'pulseaudio'
@@ -205,13 +160,11 @@ PKGS=(
'synergy'
'systemsettings'
'terminus-font'
-'texinfo'
'traceroute'
'ufw'
'unrar'
'unzip'
'usbutils'
-'vde2'
'vim'
'virt-manager'
'virt-viewer'
@@ -222,9 +175,6 @@ PKGS=(
'winetricks'
'xdg-desktop-portal-kde'
'xdg-user-dirs'
-'xorg'
-'xorg-server'
-'xorg-xinit'
'zeroconf-ioslave'
'zip'
'zsh'
@@ -275,6 +225,8 @@ then
passwd $username
cp -R /root/ArchTitus /home/$username/
chown -R $username: /home/$username/ArchTitus
+ read -p "Please name your machine:" nameofmachine
+ echo $nameofmachine > /etc/hostname
else
echo "You are already a user proceed with aur installs"
fi
diff --git a/3-post-setup.sh b/3-post-setup.sh
index 277b569..12c73f4 100755
--- a/3-post-setup.sh
+++ b/3-post-setup.sh
@@ -25,7 +25,7 @@ EOF
# ------------------------------------------------------------------------
-echo -e "\nEnabling the cups service daemon so we can print"
+echo -e "\nEnabling essential services"
systemctl enable cups.service
sudo ntpd -qg
@@ -33,6 +33,7 @@ sudo systemctl enable ntpd.service
sudo systemctl disable dhcpcd.service
sudo systemctl stop dhcpcd.service
sudo systemctl enable NetworkManager.service
+sudo systemctl enable bluetooth
echo "
###############################################################################
# Cleaning